package com.iohao.mmo.equip.utils;

import com.iohao.mmo.equip.enums.EquipQualityEnum;
import org.springframework.stereotype.Component;

/**
 * @author kioor
 * @ClassName RandomUtils
 * @description: 装备相关工具
 * @date 2023年07月26日
 * @version: 1.0
 */
@Component
public class EquipUtils {

    /**
     * TODO 计算装备品质（暂时还未使用）
     *
     * @param randomMin 随机范围下限
     * @param randomMax 随机范围上限
     * @param nowVal 当前随机值
     * @return boolean
     */
    public static int getEquipQuality(int randomMin,int randomMax,int nowVal) {
        if (randomMin >= randomMax){
            return 1;
        }
        double prop = (nowVal-randomMin)*1.00/(randomMax-randomMin);
        return EquipQualityEnum.getQuality(prop);
    }

}
