/*
 * ioGame
 * Copyright (C) 2021 - 2023  渔民小镇 （262610965@qq.com、luoyizhu@gmail.com） . All Rights Reserved.
 * # iohao.com . 渔民小镇
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
package com.iohao.mmo.client;

import com.iohao.game.external.client.kit.ClientUserConfigs;
import lombok.extern.slf4j.Slf4j;

/**
 * 模拟客户端启动类
 *
 * @author 渔民小镇
 * @date 2023-07-21
 */
@Slf4j
public class OneClient {
    public static void main(String[] args) {
        // 关闭模拟请求相关日志 - 如果想看模拟请求更多的日志，请删除下面这行代码。
        ClientUserConfigs.closeLog();

        // 模拟玩家 1
        long userId = 1;
        CommonClient.start(userId);
    }
}
