/*
 * ioGame
 * Copyright (C) 2021 - 2023  渔民小镇 （262610965@qq.com、luoyizhu@gmail.com） . All Rights Reserved.
 * # iohao.com . 渔民小镇
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
package com.iohao.mmo.common.provide.cmd;

/**
 * 模块 cmd
 *
 * @author 渔民小镇
 * @date 2023-07-21
 */
public interface CmdModule {
    /** 大厅 - 登录 */
    int loginCmd = 1;
    /** 人物 */
    int personCmd = 2;
    /** 地图 */
    int mapCmd = 3;
    /** 英雄 */
    int heroCmd = 4;
    /** 等级 */
    int levelCmd = 5;
    /** 物品 */
    int itemCmd = 6;
    /** 背包 */
    int bagCmd = 7;
    /** 装备 */
    int equipCmd = 8;
}
