/*
 * ioGame
 * Copyright (C) 2021 - 2023  渔民小镇 （262610965@qq.com、luoyizhu@gmail.com） . All Rights Reserved.
 * # iohao.com . 渔民小镇
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
package com.iohao.mmo.map.room.flow;

import com.iohao.game.action.skeleton.core.exception.MsgException;
import com.iohao.game.widget.light.room.CommonRuleInfo;
import com.iohao.game.widget.light.room.RuleInfo;
import com.iohao.game.widget.light.room.flow.RoomRuleInfoCustom;

/**
 * 地图房间规则
 *
 * @author 渔民小镇
 * @date 2023-07-27
 */
public class MapRoomRuleInfoCustom implements RoomRuleInfoCustom {
    static final CommonRuleInfo commonRuleInfo = new CommonRuleInfo();

    @Override
    public RuleInfo getRuleInfo(String ruleInfoJson) throws MsgException {
        // 暂时简单处理
        long mapId = Long.parseLong(ruleInfoJson);
        // 暂时没什么特殊规则，不做 json 解析，使用默认的空规则
        MapRoomRuleInfo ruleInfo = new MapRoomRuleInfo();
        ruleInfo.setMapId(mapId);

        return ruleInfo;
    }
}
